Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v11
Class AuthnRequestEnvelope

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.liberty.v11.AuthnRequestEnvelope`

public class AuthnRequestEnvelope
extends oracle.security.xmlsec.util.XMLElement

The AuthnRequestEnvelope element in the Liberty Single Sign-On and Federation protocol. An AuthnRequestEnvelope element wraps an AuthnRequest which allows for extra processing by an intermediary between the service provider and the identity provider in some Liberty profiles.

See Also:
  `AuthnRequest`, `AuthnResponse`, `AuthnResponseEnvelope`, `IDPList`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`AuthnRequestEnvelope(org.w3c.dom.Document owner)` Creates a new `AuthnRequestEnvelope` instance within the specified XML Document.
`AuthnRequestEnvelope(org.w3c.dom.Document owner, java.lang.String providerId, java.lang.String acsURL)` Creates a new `AuthnRequestEnvelope` instance within the specified XML Document.
`AuthnRequestEnvelope(org.w3c.dom.Element element)` Creates a new `AuthnRequestEnvelope` instance from the given Element node.
`AuthnRequestEnvelope(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `AuthnRequestEnvelope` instance from the given Element node.

Method Summary
`java.lang.String` | `getAssertionConsumerServiceURL()` Returns the service provider's URL contained in the AssertionConsumerServiceURL child element of this AuthnRequestEnvelope.
`AuthnRequest` | `getAuthnRequest()` Gets the AuthnRequest element wrapped in this element.
`IDPList` | `getIDPList()` Gets the IDPList element contained in this element.
`boolean` | `getIsPassive()` Returns the boolen value contained in the IsPassive child element of this AuthnRequestEnvelope, or "true" by default if IsPassive child is not specified.
`java.lang.String` | `getProviderID()` Returns the requestor's URI based ideitifier contained in the ProviderID child element of this AuthnRequestEnvelope.
`java.lang.String` | `getProviderName()` Returns the identity provider's human-readable name contained in the ProviderName child element of this AuthnRequestEnvelope.
`void` | `setAssertionConsumerServiceURL(java.lang.String serviceURL)` Set the AssertionConsumerServiceURL child element in this AuthnRequestEnvelope element.
`void` | `setAuthnRequest(AuthnRequest request)` Sets the AuthnRequest child element of this element.
`void` | `setIDPList(IDPList idpList)` Sets the IDPList child element of this element.
`void` | `setIsPassive(boolean isPassive)` Set the IsPassive child element in this AuthnRequestEnvelope element.
`void` | `setProviderID(java.lang.String providerID)` Set the ProviderID child element in this AuthnRequestEnvelope element.
`void` | `setProviderName(java.lang.String providerName)` Set the ProviderName child element in this AuthnRequestEnvelope element.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthnRequestEnvelope

    public AuthnRequestEnvelope(org.w3c.dom.Element element)
                         throws org.w3c.dom.DOMException

  Creates a new `AuthnRequestEnvelope` instance from the given Element node.
Parameters:
  `element` - A Liberty AuthnRequestEnvelope XML element.

### AuthnRequestEnvelope

    public AuthnRequestEnvelope(org.w3c.dom.Element element,
                                java.lang.String systemId)
                         throws org.w3c.dom.DOMException

  Creates a new `AuthnRequestEnvelope` instance from the given Element node.
Parameters:
  `element` - A Liberty AuthnRequestEnvelope XML element.
  `systemId` - The URI string system ID for the `AuthnRequestEnvelope`.

### AuthnRequestEnvelope

    public AuthnRequestEnvelope(org.w3c.dom.Document owner)
                         throws org.w3c.dom.DOMException

  Creates a new `AuthnRequestEnvelope` instance within the specified XML Document.
Parameters:
  `owner` - The owner document of the new Liberty AuthnRequestEnvelope element.

### AuthnRequestEnvelope

    public AuthnRequestEnvelope(org.w3c.dom.Document owner,
                                java.lang.String providerId,
                                java.lang.String acsURL)
                         throws org.w3c.dom.DOMException

  Creates a new `AuthnRequestEnvelope` instance within the specified XML Document.
Parameters:
  `owner` - The owner document of the new Liberty AuthnRequestEnvelope element.
  `providerId` - The `ProviderID` child element.
  `acsURL` - The `AssertionConsumerServiceURL` child element.

Method Detail

### setAuthnRequest

    public void setAuthnRequest(AuthnRequest request)

  Sets the AuthnRequest child element of this element. An AuthnRequest child is required in an AuthnRequestEnvelope element.

### getAuthnRequest

    public AuthnRequest getAuthnRequest()

  Gets the AuthnRequest element wrapped in this element.
  Returns:
    An `AuthnRequest` object.

### setProviderID

    public void setProviderID(java.lang.String providerID)

  Set the ProviderID child element in this AuthnRequestEnvelope element. This child is required which contains the ProviderID of the requestor.
  Parameters:
    `providerID` - The URI-based identifier of the requestor.

### getProviderID

    public java.lang.String getProviderID()

  Returns the requestor's URI based ideitifier contained in the ProviderID child element of this AuthnRequestEnvelope.

### setProviderName

    public void setProviderName(java.lang.String providerName)

  Set the ProviderName child element in this AuthnRequestEnvelope element. This child, which contains the requestor's human-readable name, is optional.
  Parameters:
    `providerName` - The requestor's human-readable name.

### getProviderName

    public java.lang.String getProviderName()

  Returns the identity provider's human-readable name contained in the ProviderName child element of this AuthnRequestEnvelope.
  Returns:
    The name in the ProviderName element or null if not set.

### setAssertionConsumerServiceURL

    public void setAssertionConsumerServiceURL(java.lang.String serviceURL)

  Set the AssertionConsumerServiceURL child element in this AuthnRequestEnvelope element. This required child element contains the service provider's URI where the authentication response should be sent.
  Parameters:
    `serviceURL` - The service provider's URL.

### getAssertionConsumerServiceURL

    public java.lang.String getAssertionConsumerServiceURL()

  Returns the service provider's URL contained in the AssertionConsumerServiceURL child element of this AuthnRequestEnvelope.
  Returns:
    The service provider's URL specified in the AssertionConsumerServiceURL element.

### setIDPList

    public void setIDPList(IDPList idpList)

  Sets the IDPList child element of this element. This optional child element contains a list of identity providers from which a provider may ne chosen to service the authentication request

### getIDPList

    public IDPList getIDPList()

  Gets the IDPList element contained in this element.
  Returns:
    An `IDPList` object or null if not set.

### setIsPassive

    public void setIsPassive(boolean isPassive)

  Set the IsPassive child element in this AuthnRequestEnvelope element. This child is optional. If not specified, "true" is presumed.
  Parameters:
    `isPassive` - If true, the intermediary must not interact with the Principle; if false, the identity provider may interact with the Principle.

### getIsPassive

    public boolean getIsPassive()

  Returns the boolen value contained in the IsPassive child element of this AuthnRequestEnvelope, or "true" by default if IsPassive child is not specified.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.